Package picard.sam.markduplicates

# Enum Class MarkDuplicates.DuplicateType

java.lang.Object
java.lang.Enum<MarkDuplicates.DuplicateType>
picard.sam.markduplicates.MarkDuplicates.DuplicateType

All Implemented Interfaces:
  `Serializable`, `Comparable<MarkDuplicates.DuplicateType>`, `Constable`

Enclosing class:
  `MarkDuplicates`

public static enum MarkDuplicates.DuplicateType extends Enum<MarkDuplicates.DuplicateType>
Enum for the possible values that a duplicate read can be tagged with in the DT attribute.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LIBRARY`
`SEQUENCING`

## Method Summary

Modifier and Type
Method
Description
`String`
`code()`
`static MarkDuplicates.DuplicateType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MarkDuplicates.DuplicateType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LIBRARY

public static final MarkDuplicates.DuplicateType LIBRARY

### SEQUENCING

public static final MarkDuplicates.DuplicateType SEQUENCING

## Method Details

### values

public static MarkDuplicates.DuplicateType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MarkDuplicates.DuplicateType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### code

public String code()